from vcCommand import *
app = getApplication()


def my_state():
  sm = app.SelectionManager
  features = sm.getSelection(VC_SELECTION_FEATURE)
  
  context = app.AuthorContext
  feas = context.ActiveNode.RootFeature.Children
  
  select_these = []
  for feature in features:
    if feature.Type == "Geometry":
      geometrySets = feature.Geometry.GeometrySets
      for geometrySet in geometrySets:
        if geometrySet.Material == None:
          print "Select Same Material Features:",geometrySet.Material
        else:
          print "Select Same Material Features:",geometrySet.Material.Name
        while feas:
          fea = feas.pop(0)
          if fea.Type == "Geometry":
            fea_geometrySets = fea.Geometry.GeometrySets
            for fea_geometrySet in fea_geometrySets:
              if fea_geometrySet.Material == geometrySet.Material:
                select_these.append(fea)
          else:
            feas.extend(fea.Children)
        sm.setSelection(select_these)
        
    else:
      print "Not Supported Type:",feature.Type
  print "END"


addState(my_state)

